OpenNMS API 1.2.9

## org.opennms.netmgt.config
Class DestinationPathManager

    java.lang.Object
      org.opennms.netmgt.config.DestinationPathManager

Direct Known Subclasses:
  DestinationPathFactory, MockDestinationPathManager

public abstract class DestinationPathManager
extends java.lang.Object

Author:
  David Hustace <david@opennms.org>

Field Summary
`private DestinationPaths` `allPaths`
`protected java.io.InputStream` `configIn`
`private java.util.Map` `m_destinationPaths`
`private Header` `oldHeader`

Constructor Summary
`DestinationPathManager()`

Method Summary
`void` `addPath(Path newPath)`
`Path` `getPath(java.lang.String pathName)`
`java.util.Map` `getPaths()`
`java.util.Collection` `getTargetCommands(Path path, int index, java.lang.String target)`
`Target[]` `getTargetList(int index, Path path)`
`protected void` `parseXML(java.io.Reader reader)`
`boolean` `pathHasTarget(Path path, java.lang.String target)`
`private Header` `rebuildHeader()`
`void` `removePath(Path path)` Removes a Path from the xml file.
`void` `removePath(java.lang.String name)` Removes a Path form the xml file based on its name
`void` `replacePath(java.lang.String oldName, Path newPath)`
`void` `saveCurrent()`
`protected abstract void` `saveXML(java.lang.String writerString)`
`abstract void` `update()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### allPaths

    private DestinationPaths allPaths

### m_destinationPaths

    private java.util.Map m_destinationPaths

### configIn

    protected java.io.InputStream configIn

### oldHeader

    private Header oldHeader

Constructor Detail

### DestinationPathManager

    public DestinationPathManager()

Method Detail

### parseXML

    protected void parseXML(java.io.Reader reader)
                     throws org.exolab.castor.xml.MarshalException,
                            org.exolab.castor.xml.ValidationException

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### getPath

    public Path getPath(java.lang.String pathName)
                 throws java.io.IOException,
                        org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Throws:
    `java.io.IOException`
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### getPaths

    public java.util.Map getPaths()
                           throws java.io.IOException,
                                  org.exolab.castor.xml.MarshalException,
                                  org.exolab.castor.xml.ValidationException

  Throws:
    `java.io.IOException`
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### getTargetCommands

    public java.util.Collection getTargetCommands(Path path,
                                                  int index,
                                                  java.lang.String target)
                                           throws java.io.IOException,
                                                  org.exolab.castor.xml.MarshalException,
                                                  org.exolab.castor.xml.ValidationException

  Throws:
    `java.io.IOException`
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### getTargetList

    public Target[] getTargetList(int index,
                                  Path path)
                           throws java.io.IOException,
                                  org.exolab.castor.xml.MarshalException,
                                  org.exolab.castor.xml.ValidationException

  Throws:
    `java.io.IOException`
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### pathHasTarget

    public boolean pathHasTarget(Path path,
                                 java.lang.String target)
                          throws java.io.IOException,
                                 org.exolab.castor.xml.MarshalException,
                                 org.exolab.castor.xml.ValidationException

  Throws:
    `java.io.IOException`
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### addPath

    public void addPath(Path newPath)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException,
                        java.io.IOException

  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`
    `java.io.IOException`

### replacePath

    public void replacePath(java.lang.String oldName,
                            Path newPath)
                     throws org.exolab.castor.xml.MarshalException,
                            org.exolab.castor.xml.ValidationException,
                            java.io.IOException

  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`
    `java.io.IOException`

### removePath

    public void removePath(Path path)
                    throws org.exolab.castor.xml.MarshalException,
                           org.exolab.castor.xml.ValidationException,
                           java.io.IOException

  Removes a Path from the xml file.

  Parameters:
    `path` - the path to remove
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`
    `java.io.IOException`

### removePath

    public void removePath(java.lang.String name)
                    throws org.exolab.castor.xml.MarshalException,
                           org.exolab.castor.xml.ValidationException,
                           java.io.IOException

  Removes a Path form the xml file based on its name

  Parameters:
    `name` - the name of the path to remove
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`
    `java.io.IOException`

### saveCurrent

    public void saveCurrent()
                     throws org.exolab.castor.xml.MarshalException,
                            org.exolab.castor.xml.ValidationException,
                            java.io.IOException

  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`
    `java.io.IOException`

### saveXML

    protected abstract void saveXML(java.lang.String writerString)
                             throws java.io.IOException

  Parameters:
    `writerString` -
  Throws:
    `java.io.IOException`

### rebuildHeader

    private Header rebuildHeader()

### update

    public abstract void update()
                         throws java.io.IOException,
                                org.exolab.castor.xml.MarshalException,
                                org.exolab.castor.xml.ValidationException,
                                java.io.FileNotFoundException

  Throws:
    `java.io.IOException`
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`
    `java.io.FileNotFoundException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.